package com.company;

public class Bill {
    public Bill Next;

    private double balance;
    private String passport;
    private String phone;
    private String name;
    private String number;

    /**
     * Конструктор счёта
     *
     * @param balance  первоначальный баланс
     * @param passport паспортные данные клиента (серия номер)
     * @param phone    мобильный телефон клиента
     * @param name     имя и фамилия клиента
     * @param num      порядковый номер нового клиента
     */
    public Bill(double balance, String passport, String phone, String name, int num) {
        this.balance = balance;
        this.passport = passport;
        this.phone = phone;
        this.name = name;
        Next = null;

        number = String.format("%04d %04d %04d %04d", 3202, 2200, 5420, num);
    }

    public double getBalance() {
        return balance;
    }

    public String getPassport() {
        return passport;
    }

    public String getPhone() {
        return phone;
    }

    public String getName() {
        return name;
    }

    public String getNumber() {
        return number;
    }
}
